%global __brp_check_rpaths %{nil}
%global packname  EPT
%global packver   0.7.6
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.7.6
Release:          1%{?dist}%{?buildtag}
Summary:          Ensemble Patch Transform, Visualization and Decomposition

License:          GPL (>= 3)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.0
Requires:         R-core >= 3.0
BuildArch:        noarch

%description
For multiscale analysis, this package carries out ensemble patch
transform, its visualization and multiscale decomposition. The detailed
procedure is described in Kim et al. (2020), and Oh and Kim (2020). D.
Kim, G. Choi, H.-S. Oh, Ensemble patch transformation: a flexible
framework for decomposition and filtering of signal, EURASIP Journal on
Advances in Signal Processing 30 (2020) 1-27
<doi:10.1186/s13634-020-00690-7>. H.-S. Oh, D. Kim, Image decomposition by
bidimensional ensemble patch transform, Pattern Recognition Letters 135
(2020) 173-179 <doi:10.1016/j.patrec.2020.03.029>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
